Bug 542006 - gnome-commander crashes with ftp connection
Summary: gnome-commander crashes with ftp connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2c21aec4e727775e988129f118...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-27 21:58 UTC by Dan Stahlke
Modified: 2015-03-03 22:41 UTC (History)
3 users (show)

Fixed In Version: gnome-vfs2-2.24.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 00:42:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.96 KB, text/plain)
2009-11-27 21:58 UTC, Dan Stahlke
no flags Details
backtrace with version 1.2.8.3-1 (4.12 KB, text/plain)
2009-11-28 07:20 UTC, Dan Stahlke
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 582746 0 None None None Never

Description Dan Stahlke 2009-11-27 21:58:13 UTC
abrt detected a crash.

Comment: I was clicking through the "edit connections" dialog.  Added an sftp connection, connected to it, attempted to connect to example "GNOME" ftp connection (hit cancel), opened connections dialog, edited path for sftp, clicked edit for GNOME connection... I'm not sure what the very last thing I did was.
Attached file: backtrace
cmdline: gnome-commander
component: gnome-commander
executable: /usr/libexec/gnome-commander/gnome-commander
kernel: 2.6.31.5-127.fc12.x86_64
package: gnome-commander-1.3-0.3.git_D20090929T1100_13dev.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Dan Stahlke 2009-11-27 21:58:16 UTC
Created attachment 374312 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2009-11-28 00:58:27 UTC
Hello:

After some discussion with the upstream developer, I decided
to "downgrade" F-12 gcmd to 1.2.8.3, which is already available
on F-12 stable branch (you can "downgrade" to 1.2.8.3 with normal
$ yum update).

Please update your system and try if this bug is still reproducible,
thank you.

Comment 3 Dan Stahlke 2009-11-28 07:19:13 UTC
The bug is still reproducible.  This time I alternated between opening an ssh connection, opening the GNOME FTP connection (and hitting cancel), then the ssh again, etc.  It is not really predictable when the crash will be but happens after around the second or third connection.  Note, I am not closing any of these connections.  I've attached the new stack trace.

Comment 4 Dan Stahlke 2009-11-28 07:20:47 UTC
Created attachment 374364 [details]
backtrace with version 1.2.8.3-1

Comment 5 Mamoru TASAKA 2009-11-28 08:54:13 UTC
Seems this is the same crash in GNOME bug 582746.
Once switching to gnome-vfs2.

Comment 6 Fedora Update System 2010-03-12 13:00:47 UTC
gnome-vfs2-2.24.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-vfs2-2.24.2-4.fc13

Comment 7 Fedora Update System 2010-03-12 13:19:07 UTC
gnome-vfs2-2.24.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-vfs2-2.24.2-4.fc12

Comment 8 Fedora Update System 2010-03-14 13:42:21 UTC
gnome-vfs2-2.24.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-vfs2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-vfs2-2.24.2-4.fc13

Comment 9 Fedora Update System 2010-03-16 00:42:50 UTC
gnome-vfs2-2.24.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-20 03:51:27 UTC
gnome-vfs2-2.24.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.